import type { Category } from 'types'

export const LIGHT_COLOUR_SHADE = 800
export const DARK_COLOUR_SHADE = 300

export const CATEGORIES = ['deerjikist',
			   'meme',
			   'character',
			   'general',
			   'material',
			   'meta',
			   'nico'] as const

export const TAG_COLOUR = {
    deerjikist: 'rose',
    meme:       'purple',
    character:  'lime',
    general:    'cyan',
    material:   'orange',
    meta:       'yellow',
    nico:       'gray' } as const satisfies Record<Category, string>

export const USER_ROLES = ['admin', 'member', 'guest'] as const

export const ViewFlagBehavior = { OnShowedDetail: 1,
				  OnClickedLink:  2,
				  NotAuto:        3 } as const
